How to Compile LsPHP on InterWorx

To compile LsPHP to match the PHP on the server you need to use one of the following commands listed below, this is because we don't have an InterWorx Plugin like some control panels yet.

CentOS 5:

rpm -ivh http://rpms.litespeedtech.com/centos/litespeed-repo-1.1-1.el5.noarch.rpm


CentOS 6:

rpm -ivh http://rpms.litespeedtech.com/centos/litespeed-repo-1.1-1.el6.noarch.rpm


CentOS 7:

rpm -ivh http://rpms.litespeedtech.com/centos/litespeed-repo-1.1-1.el7.noarch.rpm


Then the correct PHP version:

PHP 5.5:

yum install lsphp55-* --skip-broken


PHP 5.6:

yum install lsphp56-* --skip-broken


If you still have questions about compiling LsPHP, contact us by opening a support ticket or by using our live chat feature.

  • 0 Users Found This Useful
Was this answer helpful?

Also Read

How to Install LiteSpeed

Many control panels like cPanel will come with an auto Installer for LiteSpeed. However, if you...

An LC.8 Error Appeared

If you see an LC.8 error appear while using LiteSpeed, then the IP you have been assigned has...

How to Upgrade LiteSpeed

 Please use the following command with the version number: ...

CloudLinux PHP Selector

CloudLinux requires the following to be installed: PHP Selector LVE Manager CageFS...

Error: xml2-config not found

If at any time you receive an error: xml2-config alert or running a detailed report shows:...